sword (1.7.3+dfsg-2) unstable; urgency=medium

  * Add missing license in debian/copyright. (Closes: 754869)
  * Fix libsword.so symlink in the dev package.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Wed, 16 Jul 2014 01:27:30 +0100

sword (1.7.3+dfsg-1) unstable; urgency=medium

  * New upstream release:
  - Bump abi from 10 to 11, all flatapi got renamed with
    org_crosswire_sword_ prefix.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Sat, 12 Jul 2014 17:49:01 +0100

sword (1.7.2+dfsg-2) unstable; urgency=medium

  * Correct shared library symlink. (Closes: #747420)

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Sun, 11 May 2014 22:09:52 +0100

sword (1.7.2+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * Rebase patches.
  * icu translit files are no longer generated, don't install them.
  * drop installing greek transliteration doc.
  * bump abi to 10.
  * switch to debhelper 9.

 -- Dimitri John Ledkov <xnox@debian.org>  Sat, 19 Apr 2014 15:05:09 +0100

sword (1.6.2+dfsg-6) unstable; urgency=low

  [ Rene Engelhard ]
  * fix FTBFS: remove include/zconf.h and don't rely on it (closes: #707537)
  
  [ Dmitrijs Ledkovs ]
  * Add patch to build against clucene-core 2.

 -- Dmitrijs Ledkovs <xnox@debian.org>  Sun, 04 Aug 2013 19:20:31 +0100

sword (1.6.2+dfsg-5ubuntu1) raring; urgency=low

  * Build against clucene-core 2.

 -- Dmitrijs Ledkovs <dmitrij.ledkov@ubuntu.com>  Wed, 21 Nov 2012 01:45:59 +0000

sword (1.6.2+dfsg-5) unstable; urgency=low

  * Fix FTBFS due to icu changes (Closes: #676097).

 -- Dmitrijs Ledkovs <xnox@debian.org>  Thu, 07 Jun 2012 07:49:56 +0100

sword (1.6.2+dfsg-4) unstable; urgency=low

  [ Matthias Klose ]
  * Fix build failure in installed header file with GCC 4.7.
    Addresses: #667387.

  [ Dmitrijs Ledkovs ]
  * Remove python-sword swig bindings. Loads of build-time warnings (4.6)
    and errors (4.7) and the resulting module was reported not to
    work. Should be readded if/when it can be build with gcc 4.7 without
    errors. (Closes: #667387)

 -- Dmitrijs Ledkovs <xnox@debian.org>  Tue, 17 Apr 2012 21:39:11 +0100

sword (1.6.2+dfsg-3) unstable; urgency=low

  * Fix FTBFS if running binary-arch target only.

 -- Dmitrijs Ledkovs <xnox@debian.org>  Mon, 09 Apr 2012 14:58:48 +0100

sword (1.6.2+dfsg-2) unstable; urgency=low

  [ Dmitrijs Ledkovs <xnox@debian.org> ]
  * Fix linking against CLucene
  * Backport CMake changes
  * Set sword config path to /etc
  * ABI was broken in 1.6.2, bump soname to libsword9 (Closes: 663096)
  * Split libswordX into libswordX, -utils & -common, to make libswordX
    non-conflicting with libswordX+1

 -- Dmitrijs Ledkovs <xnox@debian.org>  Sat, 07 Apr 2012 14:22:48 +0100

sword (1.6.2+dfsg-1) unstable; urgency=low
  
  [ Dmitrijs Ledkovs <dmitrij.ledkov@ubuntu.com> ]
  * Revamped debian/rules to use dh tiny rules style
  * Raised compat to debhelper 7 and change associated packaging files
  * Use CMake to build sword
  * debian/patches/02_libver.diff: dropped, using CMake variable
  * Add debian/source/local-options with VCS friendly options
  * Add .bzr-builddeb/default.conf to facilitate building from bzr
  * Use dpkg-buildflags
  * Make CMake honour environmental variables
  * Create python-sword package (LP: #49959) (Closes: 640357)
  * document vs2osisreftxt.1
  * 3.0 (quilt) format only (launchpad ppa supports it now)
  * fix gcc-4.6 warnings
  * Additional compiler error fix, thanks to
    "brian m. carlson" <sandals@crustytoothpaste.net> (Closes: 624962)
  * Updated debian/copyright to match the updated dep-5 spec

 -- Dmitrijs Ledkovs <dmitrij.ledkov@ubuntu.com>  Tue, 30 Nov 2010 23:06:43 +0000

sword (1.6.1+dfsg-2) unstable; urgency=low

  [ Dmitrijs Ledkovs ]
  * Fixed lintian warning about watch file.
  * debian/patches/13_curl - Upstream fix for curl 7.20 compatibility.
  * bumped standards version to 3.8.4 - no changes required.
  * Update email address.
  * Added upstream changelog.
  * debian/copyright:
    - Removed reference to unversioned GPL license
    - Two files do not explictly specify GPL version
    - Based on clause 9 GPL-2 & clause 14 GPL-3, GPL-2 is selected such
    that to be compatible with the rest of sword

 -- Dmitrijs Ledkovs <dmitrij.ledkov@ubuntu.com>  Mon, 22 Mar 2010 19:14:19 +0000

sword (1.6.1+dfsg-1) unstable; urgency=low

  [ Jonathan Marsden ]
  * debian/libsword8.examples: Add missing tcl eggdrop bot script.

  [ Dmitrijs Ledkovs ]
  * Drop shipping .la file in favour of pkg-config (Debian release goal)
    - More info http://lists.debian.org/debian-devel/2009/08/msg00783.html
  * Drop backported patches, refreshed libver & compiler warnings.
  * Compiling with -Werror enabled. 
  * Bumped standards version to 3.8.3, no changes needed.
  * Added debian/README.source documentation quilt usage
  * Added configure option --without-internalregex

 -- Dmitrijs Ledkovs <dmitrij.ledkov@gmail.com>  Thu, 21 Jan 2010 00:10:17 +0000

sword (1.6.0+dfsg-1) unstable; urgency=low

  [ Jonathan Marsden ]
  * New upstream release. (Closes: #507960) (LP: #320558)
  * debian/patches/02_libver.diff:
    - Bump SONAME to 8 -- SWORD 1.6 is not backward compatible with 1.5.11.
  * debian/patches/series:
    - Remove 10_diatheke.diff -- included in upstream source.
  * debian/patches/:
    - Remove several old unused .diff files.
    - Add 11_regex_only_when_needed.diff to conditionally include regex lib.
    - Add 12_fix_compiler_warnings.diff to remove all compiler warnings.
    - Add 13_fix_osis2mod_compression_default.diff from upstream svn.
    - Add 14_closing_section_not_chapter.diff from upstream svn.
  * debian/libsword7.*: 
    - Rename to libsword8.*
    - Change libsword7 to libsword8 within files.
  * debian/rules: 
    - SONAME bump to 8.
    - Set library version check to >= 1.6
  * debian/control:
    - Change libsword7 to libsword8.
    - Add libsword7 to Conflicts.
    - Fix case of sword to SWORD in package descriptions.
    - Bump Standards-Version to 3.8.1 (no changes needed).
    - Fix section for libsword-dbg to avoid lintian warning.
  * debian/rules:
    - Add DFSG get-orig-source target.
  * debian/copyright:
    - Fix various mistakes in initial attempt to document copyrights.
  
  [ Dmitrijs Ledkovs ]
  * debian/rules: Added utils.mk to use missing-files target and call it on
    each build.
  * debian/libsword-dev.install: Added libsword.la, previously missing.
  * debian/libsword7.install: Added missing libicu translit files.
  * debian/control:
    - Updated all uses of SWORD version to 1.6
    - Added libsword-dbg package
  * debian/watch: Fixed a small mistake which was resulting in extra "."
    in final version name.
  * debian/rules: simplified manpage processing.
  * debian/libsword8.lintian-overrides: added override for module
    installation directory.
  * debian/copyright: Updated with information about everyfile.
    Closes: #513448 LP: #322638
  * debian/diatheke.examples: moved examples here from the diatheke.install
  * debian/rules:
    - enabled shell script based testsuite
    - added commented out cppunit testsuite
  * debian/patches/40_missing_includes.diff: 
    - added several missing stdio.h includes to prevent FTBFS of testsuite.
  
  [ Closed Bugs ]
  * FTBFS on intrepid (LP: #305172)

 -- Jonathan Marsden <jmarsden@fastmail.fm>  Sat, 30 May 2009 11:55:55 -0700

sword (1.5.11-1) experimental; urgency=low

  [Jonathan Marsden]
  * New upstream release
  * debian/rules:
    - Switch to using more normal CDBS/autotools not tarball in tarball.
    - Build against libicu for better i18n support.
    - Use chrpath on installed binaries to get rid of lintian warnings.
    - Set DEB_DH_MAKESHLIBS_ARGS to (>= 1.5.11) not (>=1.5.11-1).
    - Add pod2man command to generate tei2mod man page.
    - Use -n option on pod2man commands to fix command names in man pages.
  * Bump SONAME to 7.
    - Rename debian/libsword6.* appropriately.
    - Change 6 to 7 in several scripts including debian/rules
      and debian/control
  * debian/patches:
    - Remove most patches as being unnecessary now.
    - Simplify debian/patches/02_libver.diff to only edit the version-info.
  * debian/control:
    - Bump Standards-Version to 3.8.0.
    - Update diatheke one-line description (cli tool not CGI script).
    - Removed recommends of a web server for diatheke.
    - Edit description of diatheke removing references to web/CGI.
    - Add ${misc:Depends} to Depends of binary packages.
    - Add Homepage tag
    - Update Conflicts: to libsword6.
    - Update Replaces: to include libsword6.
  * debian/*:
    - Move CGI scripts to install as examples, for security reasons.
    - Add debian/diatheke.README.Debian explaining move of CGI scripts.
    - Minimize unnecessary debian/*.dirs files and entries in them.
    - Remove unnecessary debian/libsword7.shlibs file.
  * debian/diatheke.1:
    - Escape all unescaped dashes.
    - Add trailing newline.
  * debian/diatheke.manpages:
    - Create file, add debian/diatheke.1 so this man page is included in
      the diatheke binary package.
  * debian/libsword7.install:
    - Add missing usr/bin/tei2mod entry so the tei2mod command is installed.
  * debian/libsword7.manpages:
    - Add an entry for tei2mod.1 man page.
  * debian/tei2mod.1.pod:
    - Add the tei2mod man page source.

  [Dmitrijs Ledkovs]
  * debian/*.pod
    - Added manpages for all utilities.
  * debian/rules
    - Added rules to generate manpages from POD.
  * debian/libsword7.manpages
    - Created manpages list.
  * debian/control
    - Set maintainer to CrossWire Packaging team
    - Set uploaders: Daniel Glassey, Dmitrijs Ledkovs, Jonathan Marsden
    - Extended descriptions of the packages
  * debian/changelog
    - updated formatting, sorted by developer
  * debian/copyrights
    - updated to proposed copyright format
  * debian/patches
    - added patch descriptions

 -- Jonathan Marsden <jmarsden@fastmail.fm>  Sat, 04 Apr 2009 23:09:16 -0700

sword (1.5.9-8.1ubuntu1) intrepid; urgency=low

  * Fakesync with Debian unstable (LP: #234580)
  * Modify Maintainer value to match the DebianMaintainerField
    specification.

 -- Emilio Pozuelo Monfort <pochu@ubuntu.com>  Wed, 28 May 2008 15:38:08 +0200

sword (1.5.9-8.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Amend 08_gcc_43.diff to fix GCC 4.3 FTBFS (Closes: #474824)
  * debian/control:
    - Build-Depend on cdbs >= 0.4.27 instead of 0.4.27-1.
    - Bump Standards-Version to 3.7.3.
    - Use ${binary:Version} instead of ${Source-Version}.

 -- Chris Lamb <chris@chris-lamb.co.uk>  Sat, 12 Apr 2008 00:00:29 +0100

sword (1.5.9-8ubuntu1) hardy; urgency=low

  * Fakesync from Debian unstable.
  * Fixes CVE-2008-0932. (LP: #195696)

 -- William Grant <william.grant@ubuntu.org.au>  Sun, 16 Mar 2008 20:59:00 +1100

sword (1.5.9-8) unstable; urgency=high

  * diatheke failed to use shell_escape for the range parameter 
    properly, Closes: #466449

 -- Daniel Glassey <wdg@debian.org>  Mon, 18 Feb 2008 22:57:25 +0000

sword (1.5.9-7.1) unstable; urgency=medium

  [ Luk Claes ]
  * Non-maintainer upload.
  * Don't ship the libsword.la file anymore (Closes: #444562).
  * Don't rely on libclucene.la anymore (Closes: #445776).

 -- root <luk@debian.org>  Sat, 02 Feb 2008 15:46:07 +0000

sword (1.5.9-7) unstable; urgency=low

  * libsword-dev should not depend on libclucene-dev
    or libc6-dev, libz-dev, libcurl4-gnutls-dev
  * patch 09_pcfile.diff don't link apps to all these libs
  * update patch 02_libver.diff link lib to clucene

 -- Daniel Glassey <wdg@debian.org>  Fri, 31 Aug 2007 16:33:10 +0100

sword (1.5.9-6ubuntu1) gutsy; urgency=low

  * Fakesync from Debian unstable
  * Modify Maintainer value to match Debian-Maintainer-Field Spec

 -- Lionel Porcheron <lionel.porcheron@ubuntu.com>  Sun, 08 Jul 2007 22:51:24 +0200

sword (1.5.9-6) unstable; urgency=low

  * debian/control: diatheke should recommend apache2 now
  * unmet Recommends on libapache-mod-perl | apache-perl (Closes:
    #429565)

 -- Daniel Glassey <wdg@debian.org>  Fri, 22 Jun 2007 10:45:24 +0100

sword (1.5.9-5ubuntu2) gutsy; urgency=low

  * Rebuild for the libcurl transition mess.

 -- Steve Kowalik <stevenk@ubuntu.com>  Thu,  5 Jul 2007 14:11:58 +1000

sword (1.5.9-5ubuntu1) gutsy; urgency=low

  * Merge from Debian unstable, remaining changes:
    - Modify Maintainer value to match Debian-Maintainer-Fied Spec

 -- Raphael Pinson <raphink@ubuntu.com>  Wed,  6 Jun 2007 15:53:55 +0200

sword (1.5.9-5) unstable; urgency=low

  * debian/control change libsword-dev dependency to 
      libcurl4-gnutls-dev, Closes: #423936
  * include patch to build with gcc 4.3, Closes: #417717

 -- Daniel Glassey <wdg@debian.org>  Sat, 19 May 2007 16:22:41 -0600

sword (1.5.9-4ubuntu1) gutsy; urgency=low

  * Merge from debian unstable, remaining changes:
  * Fakesync
  * Modify Maintainer value to match Debian-Maintainer-Field Spec

 -- Sarah Hobbs <hobbsee@ubuntu.com>  Sat, 19 May 2007 14:23:34 +1000

sword (1.5.9-4) unstable; urgency=low

  * debian/control curl transition, change build dep to 
      libcurl4-gnutls-dev, Closes: #423936, #423958
  * enable 06_warnings and 07_warn_tools patches 

 -- Daniel Glassey <wdg@debian.org>  Tue, 15 May 2007 07:56:16 -0600

sword (1.5.9-3build1) feisty; urgency=low

  * Fakesync due to mismatched orig.tar.gz (no Ubuntu changes).

 -- Michael Bienia <geser@ubuntu.com>  Fri, 12 Jan 2007 14:05:22 +0100

sword (1.5.9-3) unstable; urgency=high

  * patch 06_warnings.diff - modifications to fix some compiler warnings 
        (not enabled in this version)
  * patch 07_warnings_tools.diff - modifications to fix some compiler warnings 
        (not enabled in this version)
  * debian/control: diatheke to recommend not depend on webserver as
      the script can be used on its own, Closes: #358535
  * patch 04_ziplock.diff to fix error when uncompressing locked modules
      IMPORTANT - prevents a crash with bibletime and locked modules
      so urgency high
  * patch 05_getline.diff prevents potential use of uninitialised var
  * rename diffs to xx_name.diff

 -- Daniel Glassey <wdg@debian.org>  Fri, 24 Nov 2006 15:14:05 +0000

sword (1.5.9-2) unstable; urgency=low

  * Use CLUCENE_LIBS not LUCENE_LIBS in sword.pc.in
       so that frontends will just link to clucene

 -- Daniel Glassey <wdg@debian.org>  Thu, 23 Nov 2006 11:37:17 +0000

sword (1.5.9-1) unstable; urgency=low

  * New upstream version
  * debian/control:
      changes to API so new package libsword6, replaces libsword5c2a
      don't depend on libicu36-dev
			(would have depended on libicu36-dev instead of icu34)
  * debian/rules:
      shlibs for libsword6
      new upstream tarball
			use --with-clucene=/usr
			don't build with icu
  * remove debian/control.in
  * debian/libsword6.dirs: rename
  * debian/libsword6.docs: rename and refer to correct dir
  * debian/libsword6.install: rename and use new .so name
  * debian/libsword6.shlibs: rename and use new .so name
  * debian/patches: don't need utilities patch, update lib version patch
  * debian/diatheke*: refer to 1.5.9 directory

 -- Daniel Glassey <wdg@debian.org>  Mon, 25 Sep 2006 19:53:37 +0100

sword (1.5.9-0ubuntu3) edgy; urgency=low

  * Update debian/libsword6.shlibs with Ubuntu version of lib 

 -- Raphaël Pinson <raphink@ichthux.com>  Thu, 28 Sep 2006 11:04:42 +0200

sword (1.5.9-0ubuntu2) edgy; urgency=low

  * Shlibs created with libsword6 >= 1.5.9-0ubuntu1 in debian/rules

 -- Raphaël Pinson <raphink@ichthux.com>  Tue, 26 Sep 2006 08:18:34 +0200

sword (1.5.9-0ubuntu1) edgy; urgency=low

  [ Daniel Glassey ]
  * New upstream version
  * debian/control:
      changes to API so new package libsword6, replaces libsword5c2a
      don't depend on libicu36-dev
			(would have depended on libicu36-dev instead of icu34)
  * debian/rules:
      shlibs for libsword6
      new upstream tarball
			use --with-clucene=/usr
			don't build with icu
  * remove debian/control.in
  * debian/libsword6.dirs: rename
  * debian/libsword6.docs: rename and refer to correct dir
  * debian/libsword6.install: rename and use new .so name
  * debian/libsword6.shlibs: rename and use new .so name
  * debian/patches: don't need utilities patch, update lib version patch
  * debian/diatheke*: refer to 1.5.9 directory

  [ Raphaël Pinson ]
  * Bump debhelper version to 5

 -- Raphaël Pinson <raphink@ichthux.com>  Tue, 26 Sep 2006 07:30:20 +0200

sword (1.5.8-9) unstable; urgency=low

  * build using clucene, build-deps on libclucene-dev
  * not released, but applies to 1.5.9

 -- Daniel Glassey <wdg@debian.org>  Wed, 14 Dec 2005 19:46:26 +0000

sword (1.5.8-8) unstable; urgency=low

  * fix build depends wrt cdbs autogenerated version
  * debian/rules: fix shlibsdeps

 -- Daniel Glassey <wdg@debian.org>  Sat, 10 Dec 2005 20:25:24 +0000

sword (1.5.8-7) unstable; urgency=medium

  * ackknowledge NMU, thanks, Closes: #339269
  * don't autogenerate debian/control using cdbs
  * use gnutls version of curl since sword is GPLd

 -- Daniel Glassey <wdg@debian.org>  Thu,  8 Dec 2005 10:42:17 +0000

sword (1.5.8-6.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Medium-urgency upload for RC bugfix.
  * Rename libsword5 to libsword5c2a for the C++ mt allocator ABI transition,
    and conflict/replace libsword5 accordingly (closes: #339269).

 -- Steve Langasek <vorlon@debian.org>  Mon,  5 Dec 2005 00:10:19 -0800

sword (1.5.8-6) unstable; urgency=low

  * build dep on a version of libcurl3-openssl-dev that has the
       correct depends, Closes: #334667

 -- Daniel Glassey <wdg@debian.org>  Wed, 19 Oct 2005 08:52:38 +0100

sword (1.5.8-5) unstable; urgency=low

  * rebuild against curl and openssl
  * build depend on libcurl3-openssl-dev instead of libcurl3-dev
  * libsword-dev depends on libcurl3-openssl-dev

 -- Daniel Glassey <wdg@debian.org>  Thu, 13 Oct 2005 11:44:39 +0100

sword (1.5.8-4) unstable; urgency=low

  * debian/rules: shlibs should be for libsword5 >= 1.5.8-3

 -- Daniel Glassey <wdg@debian.org>  Fri,  9 Sep 2005 12:00:29 +0100

sword (1.5.8-3) unstable; urgency=low

  * debian/libsword5.shlibs: Fix shlibs problem for bug #323116
  * updated FSF address in copyright
  * remove libsword5.conffiles to stop duplication
  * change the lib soname to 5 rather than 1.5.8

 -- Daniel Glassey <wdg@debian.org>  Wed,  7 Sep 2005 15:44:47 +0100

sword (1.5.8-2) unstable; urgency=low

  * Don't install libsword-1.5.8.so to both packages
  * html docs aren't in sword any more so remove libsword-dev.doc-base

 -- Daniel Glassey <wdg@debian.org>  Thu, 11 Aug 2005 16:07:03 +0100

sword (1.5.8-1) unstable; urgency=low

  * New upstream release
     so new package libsword5, no need for libsword4c2 now
  * Thanks for the gcc4 fix, acknowledge NMU (Closes: #288586)
  * Change to using cdbs and quilt to manage patches
  * include imp2gbs and xml2gbs utilities

 -- Daniel Glassey <wdg@debian.org>  Wed, 10 Aug 2005 15:44:34 +0100

sword (1.5.7-7.1) unstable; urgency=low

  * Non-Maintainer Upload
  * C++ transition: libsword4 -> libsword4c2
  * Fix gcc4 compile error: Use intptr_t as type for pointers, not 'int'
    (Closes: #288586)
  * Debhelper compat level 4, to fix calls to ldconfig properly, and drop a
    lot of manual stuff
  * Run dh_makeshlibs *before* dh_installdeb
  * Fix broken dh_shlibs invocation

 -- Jeroen van Wolffelaar <jeroen@wolffelaar.nl>  Sat,  6 Aug 2005 19:42:38 +0200

sword (1.5.7-7) unstable; urgency=high

  * Patch from security team, Closes: #291433
  * Added shell_escape() function to fix arbitrary command execution
    [apps/console/diatheke/cgi/diatheke.pl, CAN-2005-0015]
  * Improvements by Ulf Härnhammar

 -- Daniel Glassey <wdg@debian.org>  Mon, 17 Jan 2005 16:24:37 +0000

sword (1.5.7-6) unstable; urgency=low

  * libsword-dev should depend on libcurl3-dev

 -- Daniel Glassey <wdg@debian.org>  Mon, 13 Dec 2004 23:03:20 +0000

sword (1.5.7-5) unstable; urgency=low

  * Change from libcurl2-dev to libcurl3-dev, Closes: #279460
  * Move the pkgconfig file to the dev package, Closes: #281585

 -- Daniel Glassey <wdg@debian.org>  Thu,  9 Dec 2004 14:26:45 +0000

sword (1.5.7-4) unstable; urgency=low

  * Use PassiveFtp for installmgr by default
      This avoids problems with the BibleTime installer, Closes: #235601

 -- Daniel Glassey <wdg@debian.org>  Fri, 16 Jul 2004 16:51:35 +0100

sword (1.5.7-3) unstable; urgency=low

  * src/utilfuns/utilstr.cpp - toupperstr *buf++ fix
      caused segfaults when compiled with -O2
  * fix to build with gcc 3.4 
      include/multimapwdef.h, Closes: #258768
  * build the diatheke package again, it is still there just in a 
      different place, Closes: #229444
  * fix documentation about modules, 
      README.Debian, Closes: #249020

 -- Daniel Glassey <wdg@debian.org>  Wed, 14 Jul 2004 16:54:27 +0100

sword (1.5.7-2) unstable; urgency=low

  * Fix problem building with current libcurl2-dev - TRUE has
      been removed from the curl header, VERBOSE just needs to
      be 1 now, Closes: #227860

 -- Daniel Glassey <wdg@debian.org>  Thu, 15 Jan 2004 15:50:07 +0000

sword (1.5.7-1) unstable; urgency=low

  * New upstream version
  * set lib version to 4
  * remove diatheke as it has been removed from upstream source,
     hopefully it will be released separately soon
  * improve the copyright file because of post to debian-devel

 -- Daniel Glassey <wdg@debian.org>  Wed,  7 Jan 2004 15:16:30 +0000

sword (1.5.6-9) unstable; urgency=medium

  * Build depend on libcurl2-dev

 -- Daniel Glassey <wdg@debian.org>  Thu, 20 Nov 2003 10:20:11 +0000

sword (1.5.6-8) unstable; urgency=low

  * Remove the recommends of libsword-runtime from libsword-dev, Closes:
    #220411
  * That'd better be the last of the control file mistakes :/

 -- Daniel Glassey <wdg@debian.org>  Wed, 12 Nov 2003 14:39:30 +0000

sword (1.5.6-7) unstable; urgency=low

  * Also Replaces libsword-runtime and libsword-config, Closes #220408

 -- Daniel Glassey <wdg@debian.org>  Wed, 12 Nov 2003 14:00:34 +0000

sword (1.5.6-6) unstable; urgency=low

  * Rerun libtool/autoconf/automake, Closes: #220250

 -- Daniel Glassey <wdg@debian.org>  Tue, 11 Nov 2003 19:20:16 +0000

sword (1.5.6-5) unstable; urgency=low

  * libsword3 replaces libsword2c103, Closes: #219463
  * libsword3 replaces libsword1, Closes: #219463
  * no libsword-runtime package now so description is irrelevant, Closes: #209977

 -- Daniel Glassey <wdg@debian.org>  Fri,  7 Nov 2003 13:53:46 +0000

sword (1.5.6-4) unstable; urgency=low

  * The 'ok, forget about the config package' release
  * now at policy 3.6.1.0
  * add a build-dep for pkg-config
  * ready to upload to unstable

 -- Daniel Glassey <wdg@debian.org>  Wed,  5 Nov 2003 17:04:44 +0000

sword (1.5.6-3) experimental; urgency=low

  * -runtime package is unnecessary so merge it into lib

 -- Daniel Glassey <wdg@debian.org>  Wed,  3 Sep 2003 20:49:58 +0100

sword (1.5.6-2) experimental; urgency=low

  * Brown paper bug - get shlibs right

 -- Daniel Glassey <wdg@debian.org>  Fri, 29 Aug 2003 11:25:55 +0100

sword (1.5.6-1) experimental; urgency=low

  * Release is done now
  * Upload to experimental for now til gs and bt are ready
  * don't need the c102 suffix now
  * don't build with icu til we get 2.6 packaged and into experimental

 -- Daniel Glassey <wdg@debian.org>  Thu, 28 Aug 2003 17:38:40 +0100

sword (1.5.5.99-2) unstable; urgency=low

  * Another prerelease build
  * split config files out into separate package so we can have different
    sword libs installed at the same time later on

 -- Daniel Glassey <wdg@debian.org>  Wed, 16 Jul 2003 14:48:22 +0100

sword (1.5.5.99-1) unstable; urgency=low

  * Build a pre-release from a make dist from cvs
  * change lib version for imminent 1.5.6
  * depend on icu 2.6 to test that
  * api docs have been moved out into separate source

 -- Daniel Glassey <wdg@debian.org>  Thu, 10 Jul 2003 12:45:18 +0100

sword (1.5.5-4) unstable; urgency=low

  * debian/control remove extra blank line that stops building on woody

 -- Daniel Glassey <wdg@debian.org>  Thu,  1 May 2003 09:59:14 +0100

sword (1.5.5-3) unstable; urgency=low

  * libsword-dev now depends on icu stuff so apps that build with it don't
      have to
  * conflict with libsword1 since both include config files (may split these
      out into separate package for 1.5.6), Closes #189647

 -- Daniel Glassey <wdg@debian.org>  Sat, 19 Apr 2003 16:01:05 +0100

sword (1.5.5-2) unstable; urgency=low

  * Close the new upstream bug, Closes: #175322
  * uses autotools-dev to get the uptodate config.guess and
    config.sub, hopefully will sort out mips problem, Closes: #187703
  * Utilities are now really included - bug 157115 tagged for woody
  * debian/control - change section of libsword-dev to libdevel
  * debian/rules - 
      remove alpha compiler flags since it is ok with gcc3.2, Closes: #142703
      use confflags like autotools-dev says
      copy the config.guess and .sub from autotools-dev

 -- Daniel Glassey <wdg@debian.org>  Sat,  5 Apr 2003 12:53:06 +0100

sword (1.5.5-1) unstable; urgency=low

  * New upstream release
  * Rename library package to libsword2c102 since it is a new
     libver from 1.5.3 and it is part of the gcc3.2 transition
  * build with icu support now that icu has made the transition
     so build-depend on libicu21-dev and icu
  * build depend on debhelper >= 4.0.0

 -- Daniel Glassey <wdg@debian.org>  Tue, 26 Mar 2003 18:42:28 +0000

sword (1.5.4+cvs20021008-1) unstable; urgency=low

  * try and build a package from cvs

 -- Daniel Glassey <wdg@debian.org>  Tue,  8 Oct 2002 19:08:46 +0100

sword (1.5.4-1) unstable; urgency=low

  * new upstream version
  * bump shlibs version since old version was released with woody
  * package now libsword2 instead of libsword1

 -- Daniel Glassey <wdg@debian.org>  Sat, 28 Sep 2002 13:31:47 +0100

sword (1.5.3-3) unstable; urgency=high

  * problem integrating hppa patch messed up rules, trying again
  * updating README.Debian to mention apt-gettable archive on
     crosswire

 -- Daniel Glassey <wdg@debian.org>  Sun, 14 Apr 2002 15:19:14 +0100

sword (1.5.3-2) unstable; urgency=low

  * make sure will build on gcc-3.0, sorry, Closes: #142617
  * alpha won't compile with -g flag so compiling without it
     see bug 142703

 -- Daniel Glassey <wdg@debian.org>  Sat, 13 Apr 2002 13:04:28 +0100

sword (1.5.3-1) unstable; urgency=high

  * New upstream release

 -- Daniel Glassey <wdg@debian.org>  Tue,  2 Apr 2002 21:38:58 +0100

sword (1.5.2-10) unstable; urgency=low

  * -9 failed on hppa, using namespace std needed in testblocks.cpp
     fix tested on sarti

 -- Daniel Glassey <wdg@debian.org>  Sat,  9 Feb 2002 18:20:40 +0000

sword (1.5.2-9) unstable; urgency=low

  * make the diatheke configure executable in debian/rules
        Closes: #132863
  * make diatheke description useful debian/control
  * bump shlibs version to 1.5.2-9
  * debian/rules dh_shlibdeps changed to -ldebian/tmp/usr/lib
  * compzip.cpp #include string.h and stdlib.h added for gcc 3.0 
  * README.Debian mention #sword irc channel

 -- Daniel Glassey <wdg@debian.org>  Fri,  8 Feb 2002 08:59:29 +0000

sword (1.5.2-8) unstable; urgency=low

  * rwphtml change greek_str to signed char
  * migrate to automake 1.5
  * move utilities to separate package libsword-runtime, Closes: #130909
  * new package containing diatheke from apps/console/diatheke, Closes: #130908
  * Bump standards version to 3.5.6.0

 -- Daniel Glassey <wdg@debian.org>  Thu, 24 Jan 2002 20:01:16 +0000

sword (1.5.2-7) unstable; urgency=low

  * Rename roman.cpp to romanc.cpp, Closes #130038
  * Update README.Debian to mention apt-gettable module archive
     deb http://www.crosswire.org/~glasseyes/debian unstable main

 -- Daniel Glassey <wdg@debian.org>  Wed, 23 Jan 2002 18:53:18 +0000

sword (1.5.2-6) unstable; urgency=low

  * remove -Werror, autobuilders not happy (fair enough, I can check
     through the build logs for warnings myself :) )
  * rawstr, rawstr4 more signed char in findoffset, Closes: #130038
  * c++ comments so roman.c -> roman.cpp, Closes: #129886

 -- Daniel Glassey <wdg@debian.org>  Mon, 21 Jan 2002 20:19:31 +0000

sword (1.5.2-5) unstable; urgency=low

  * char signedness fixes
     (in response to debian-devel-announce from Gerhard Tonn
     swkey: persist to signed char
     swmodule: createModule to signed char
               createSearchFramework to signed char
     versekey: book,testament to signed char
     swmgr: setCipherKey to signed char
     filemgr: trunc to signed char
     rawtext: createSearchFramework to signed char
     rawstr: findoffset to signed char
     rawstr4: findoffset to signed char
              in gettext make localsize to unsigned int      
  * use -Werror in Makefile.cfg to catch any more
  *  anything else is either already fixed or will be fixed in the
        imminent version 1.5.3

 -- Daniel Glassey <wdg@debian.org>  Thu, 17 Jan 2002 23:55:08 +0000

sword (1.5.2-4) unstable; urgency=low

  * Change maintainer to wdg@debian.org 
  * change shlibs to libsword1 >= 1.5.2-4 (gnomesword bug 123418)
      by dh_makeshlibs -V 'libsword1 (>= 1.5.2-4)' in debian/rules
  * remove reference to cheatah in package description

 -- Daniel Glassey <wdg@debian.org>  Tue, 11 Dec 2001 22:36:44 +0000

sword (1.5.2-3) unstable; urgency=low

  * oops, include gifs in html documentation as well 
  * chmod 755 before executing configure, closes #122658
  * remove autoconf from build-depends

 -- Daniel Glassey <wdg@debian.org>  Wed,  5 Dec 2001 00:25:07 +0000

sword (1.5.2-2) unstable; urgency=low

  * Backport endian solution from CVS, Closes: #103732
  * include some module utilities in the dev package
  * use the latest config.* from /usr/share/misc

 -- Daniel Glassey <wdg@debian.org>  Mon,  3 Dec 2001 19:11:08 +0000

sword (1.5.2-1.1) unstable; urgency=low

  * NMU to satisfy build-dependencies.
  * Fix gcc 3.0 compile failures.  Closes: #108707.

 -- LaMont Jones <lamont@debian.org>  Tue, 14 Aug 2001 09:25:42 -0600

sword (1.5.2-1) unstable; urgency=low

  * New upstream release
  * final 1.5.2 release

 -- Daniel Glassey <wdg@debian.org>  Mon,  2 Jul 2001 22:53:50 +0000

sword (1.5.1.99-1) unstable; urgency=low

  * New upstream release
  * prerelease of 1.5.2
  * change maintainer address to wdg@debian.org
  * add libsword-dev.manpages

 -- Daniel Glassey <wdg@debian.org>  Mon, 25 Jun 2001 18:32:04 +0000

sword (1.5.1a-4) unstable; urgency=low

  * Merged with Ivan Moore's latest package (1.5.1a-2 in Debian)
  * Now recommends frontend and doesn't depend on modules

 -- Daniel Glassey <danglassey@yahoo.com>  Mon, 22 Jan 2001 22:22:10 +0000

sword (1.5.1a-3) unstable; urgency=low

  * use autoconf to determine platform
  * add zlib to build-depends
  * up standards version to 3.2.1
  * module creation progs added to dev

 -- Daniel Glassey <danglassey@yahoo.com>  Mon, 15 Jan 2001 18:53:14 +0000

sword (1.5.1a-2) unstable; urgency=low

  * recommend text, suggest dict and comm. install locales.

 -- Daniel Glassey <danglassey@yahoo.com>  Mon,  4 Dec 2000 21:32:33 +0000

sword (1.5.1a-1) unstable; urgency=low

  * New upstream release

 -- Daniel Glassey <danglassey@yahoo.com>  Thu, 23 Nov 2000 20:06:03 +0000

sword (1.5.0-1) unstable; urgency=low

  * New upstream release

 -- Daniel Glassey <danglassey@yahoo.com>  Mon, 28 Aug 2000 21:34:49 +0100

sword (1.4.6-2) unstable; urgency=low

  * Change of maintainer

 -- Daniel Glassey <danglassey@yahoo.com>  Mon, 28 Aug 2000 19:14:22 +0100

sword (1.4.6-1) unstable; urgency=low

  * New upstream version

 -- Ivan E. Moore II <rkrusty@debian.org>  Thu, 20 Jan 2000 19:30:16 -0700

sword (1.4.4-4) unstable; urgency=low

  * Removing mods.conf file

 -- Ivan E. Moore II <rkrusty@debian.org>  Fri, 01 Oct 1999 07:30:16 -0400

sword (1.4.4-3) unstable; urgency=low

  * Fixing minor pathing bug with mods.conf files

 -- Ivan E. Moore II <rkrusty@debian.org>  Fri, 01 Oct 1999 04:45:16 -0400

sword (1.4.4-2) unstable; urgency=low

  * Fixing alot of things.

 -- Ivan E. Moore II <rkrusty@debian.org>  Fri, 01 Oct 1999 01:30:16 -0400

sword (1.4.4-1) unstable; urgency=low

  * Initial Release.

 -- Ivan E. Moore II <rkrusty@debian.org>  Thu, 30 Sep 1999 08:30:16 -0400

Local variables:
mode: debian-changelog
End:

